Data Fields

# DMXScreenAttributesRec Struct Reference

`#include <dmxextension.h>`

## Data Fields
const char * | displayName
int | logicalScreen
unsigned int | screenWindowWidth
unsigned int | screenWindowHeight
int | screenWindowXoffset
int | screenWindowYoffset
unsigned int | rootWindowWidth
unsigned int | rootWindowHeight
int | rootWindowXoffset
int | rootWindowYoffset
int | rootWindowXorigin
int | rootWindowYorigin

## Detailed Description

Screen attributes. Used by ProcDMXGetScreenAttributes and ProcDMXChangeScreensAttributes.

## Field Documentation

const char* DMXScreenAttributesRec::displayName

Referenced by dmxAttachScreen(), dmxGetScreenAttributes(), ProcDMXAddScreen(), and ProcDMXGetScreenAttributes().

int DMXScreenAttributesRec::logicalScreen

Referenced by dmxGetScreenAttributes(), and ProcDMXGetScreenAttributes().

unsigned int DMXScreenAttributesRec::rootWindowHeight

Referenced by dmxGetScreenAttributes(), dmxSetScreenAttribute(), and ProcDMXGetScreenAttributes().

unsigned int DMXScreenAttributesRec::rootWindowWidth

Referenced by dmxGetScreenAttributes(), dmxSetScreenAttribute(), and ProcDMXGetScreenAttributes().

int DMXScreenAttributesRec::rootWindowXoffset

Referenced by dmxGetScreenAttributes(), dmxSetScreenAttribute(), and ProcDMXGetScreenAttributes().

int DMXScreenAttributesRec::rootWindowXorigin

Referenced by dmxGetScreenAttributes(), dmxSetScreenAttribute(), and ProcDMXGetScreenAttributes().

int DMXScreenAttributesRec::rootWindowYoffset

Referenced by dmxGetScreenAttributes(), dmxSetScreenAttribute(), and ProcDMXGetScreenAttributes().

int DMXScreenAttributesRec::rootWindowYorigin

Referenced by dmxGetScreenAttributes(), dmxSetScreenAttribute(), and ProcDMXGetScreenAttributes().

unsigned int DMXScreenAttributesRec::screenWindowHeight

Referenced by dmxGetScreenAttributes(), dmxSetScreenAttribute(), and ProcDMXGetScreenAttributes().

unsigned int DMXScreenAttributesRec::screenWindowWidth

Referenced by dmxGetScreenAttributes(), dmxSetScreenAttribute(), and ProcDMXGetScreenAttributes().

int DMXScreenAttributesRec::screenWindowXoffset

Referenced by dmxGetScreenAttributes(), dmxSetScreenAttribute(), and ProcDMXGetScreenAttributes().

int DMXScreenAttributesRec::screenWindowYoffset

Referenced by dmxGetScreenAttributes(), dmxSetScreenAttribute(), and ProcDMXGetScreenAttributes().

The documentation for this struct was generated from the following file:

- dmxextension.h